Make TwoColConflict a beta feature on all wikis
Closed, ResolvedPublic

Description

Motivation:
The TwoColConflict extension is a stable extension used by +2K users[1] and already a beta feature on de-wiki, meta, mediawiki.org and finnish wp. It is time to test it on all wikis.

Time plan:
The TwoColConflict extension should become a beta feature on all wikis on May 9. We will then evaluate until latest the end of 2017 whether the extension should be deployed. Due to the nature of edit conflicts happening occasionally and unplanned, we expect a longer feedback time than is needed for other features.

Merging of current stories
Must-have until then (needs to be deployed outside of merge train, but ideally at the same both together):
T163783: Open help dialogue the first time a user sees TwoColConflict
T163886: Adapt help dialogue to moment of beta deploy

Should be deployed after the two tickets above, but all together:
T162148: Improve the help dialogue for users of edit conflict
T162144: Change explanatory text to account for multiple edits
T163566: Remove the "show changes" radio button selection
T162147: Allow users to choose their base version for the conflict resolution

Can be deployed whenever:
T162021: Align the column texts perfectly

Background:
TwoColConflict is the extension resulting of wish # 1 of the German-speaking Community Wishlist (T139601) in 2015. The goal is to improve the UI for resolving edit conflicts. In contrast to the current page, users now have two columns helping them to solve conflicting versions: The first one displays the changes between the version, whereas the other one is a text editor, which can be used on eye level with the changes.

[1]https://grafana.wikimedia.org/dashboard/db/betafeatures

Lea_WMDE created this task.Apr 12 2017, 3:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2017, 3:02 PM
Lea_WMDE updated the task description. (Show Details)Apr 26 2017, 11:57 AM
Lea_WMDE updated the task description. (Show Details)Apr 28 2017, 3:49 PM
Addshore claimed this task.May 2 2017, 2:40 PM
Restricted Application added a project: User-Addshore. · View Herald TranscriptMay 2 2017, 2:40 PM
Addshore moved this task from Backlog to Next on the User-Addshore board.May 2 2017, 2:40 PM

Change 352817 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/TwoColConflict@wmf/1.29.0-wmf.21] BACKPORTS from master.

https://gerrit.wikimedia.org/r/352817

Change 352817 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@wmf/1.29.0-wmf.21] BACKPORTS from master.

https://gerrit.wikimedia.org/r/352817

Mentioned in SAL (#wikimedia-operations) [2017-05-09T13:49:10Z] <hashar@tin> Synchronized php-1.29.0-wmf.21/extensions/TwoColConflict: BACKPORTS from master - T162806 T163886 (duration: 00m 41s)

Addshore closed this task as Resolved.
08:35 hashar@tin: Synchronized wmf-config/InitialiseSettings.php: wmgUseTwoColConflict true for all wikis (duration: 00m 54s)
Addshore moved this task from Next to Done / Closed on the User-Addshore board.May 10 2017, 8:36 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 6 2017, 2:54 PM